org.jfree.chart.servlet

## Class DisplayChart

- java.lang.Object
- - javax.servlet.GenericServlet
  - - javax.servlet.http.HttpServlet
    - - org.jfree.chart.servlet.DisplayChart

All Implemented Interfaces:
  java.io.Serializable, javax.servlet.Servlet, javax.servlet.ServletConfig

    public class DisplayChart
    extends javax.servlet.http.HttpServlet

Servlet used for streaming charts to the client browser from the temporary directory. You need to add this servlet and mapping to your deployment descriptor (web.xml) in order to get it to work. The syntax is as follows:

     <servlet>
        <servlet-name>DisplayChart</servlet-name>
        <servlet-class>org.jfree.chart.servlet.DisplayChart</servlet-class>
     </servlet>
     <servlet-mapping>
         <servlet-name>DisplayChart</servlet-name>
         <url-pattern>/servlet/DisplayChart</url-pattern>
     </servlet-mapping>

See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`DisplayChart()` Default constructor.

### Method Summary

Methods
`void` `init()` Init method.
`void` `service(javax.servlet.http.HttpServletRequest request, javax.servlet.http.HttpServletResponse response)` Service method.

### Methods inherited from class javax.servlet.http.HttpServlet

`doDelete, doGet, doHead, doOptions, doPost, doPut, doTrace, getLastModified, service`

### Methods inherited from class javax.servlet.GenericServlet

`destroy, getInitParameter, getInitParameterNames, getServletConfig, getServletContext, getServletInfo, getServletName, init, log, log`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### DisplayChart

    public DisplayChart()

Default constructor.

### Method Detail

#### init

    public void init()
              throws javax.servlet.ServletException

Init method.

Overrides:
  `init` in class `javax.servlet.GenericServlet`
Throws:
  `javax.servlet.ServletException` - never.

#### service

    public void service(javax.servlet.http.HttpServletRequest request,
               javax.servlet.http.HttpServletResponse response)
                 throws javax.servlet.ServletException,
                        java.io.IOException

Service method.

Overrides:
  `service` in class `javax.servlet.http.HttpServlet`
Parameters:
  `request` - the request.
  `response` - the response.
Throws:
  `javax.servlet.ServletException` - ??.
  `java.io.IOException` - ??.